import { serverClient } from "@/lib/trpc/server"

import StaticPage from ".."

export default async function ContentPage() {
  const contentPageRes = await serverClient().contentstack.contentPage.get()

  if (!contentPageRes) {
    return null
  }

  const { tracking, contentPage } = contentPageRes

  return (
    <StaticPage content={contentPage} tracking={tracking} pageType="content" />
  )
}
